Get a metric's data
import requests
url = "https://{FUSION HOST}/api/system/metric/{name}"
response = requests.get(url)
print(response.text){
"metricRegistry": {
"metrics": {},
"names": [
"<string>"
],
"gauges": {},
"counters": {},
"histograms": {},
"meters": {},
"timers": {}
},
"metricsList": {},
"pretty": true,
"showSamples": true
}Show data about a specific metric.
GET
/
system
/
metric
/
{name}
Get a metric's data
import requests
url = "https://{FUSION HOST}/api/system/metric/{name}"
response = requests.get(url)
print(response.text){
"metricRegistry": {
"metrics": {},
"names": [
"<string>"
],
"gauges": {},
"counters": {},
"histograms": {},
"meters": {},
"timers": {}
},
"metricsList": {},
"pretty": true,
"showSamples": true
}Path Parameters
The name of the metric to display.
Query Parameters
True to format the data for easier reading.
The time unit ('seconds', 'minutes', and so on) to display rates.
The time unit ('seconds', 'minutes', and so on) to display durations.
True to display the data values used in calculations.
Response
200 - application/json
successful operation
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Available options:
NANOSECONDS, MICROSECONDS, MILLISECONDS, SECONDS, MINUTES, HOURS, DAYS Available options:
NANOSECONDS, MICROSECONDS, MILLISECONDS, SECONDS, MINUTES, HOURS, DAYS Was this page helpful?
⌘I